> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/learn/glossary/governance.md).

# Governance

Chiliz Chain governance explained: Compound Alpha governance model, ⅔ quorum requirement, validator voting power, custom voting periods, and proposal lifecycle.

### Overview

The governance system contract is based on the default implementation of the Compound’s Alpha governance, where voting power depends on the total delegated amount of the validator. The validator’s owner is responsible for voting in favour of or against the proposals on governance. Presently, the required quorum to be reached is ⅔.

#### Under which circumstances is the proposal applied?

Chiliz implements the default **Compound’s Alpha governance**, where voting power is distributed amongst validators' owners based on their total delegated amount. Once a quorum of ⅔ is reached, a proposal can be applied.

This governance is fully compatible with the compound's version. However, it has only one improvement: it allows proposal creation with a custom voting period.

For some methods, it is important to have a shorter voting period. For example, when some emergency actions need to be applied.\
To achieve this, we can extend the original implementation by adding the method `proposeWithCustomVotingPeriod`. This allows for specifying the voting period for the proposal.

#### Under which circumstances is the proposal defeated?

Once the quorum is reached and more than 50% of voting power is given for the proposal then it can be executed right after the voting period is done. If a proposal can’t reach the required quorum in the voting period then it becomes defeated.

### Consensus params

{% code overflow="wrap" lineNumbers="true" %}

````
```solidity
struct ConsensusParams {
    uint32 activeValidatorsLength;
    uint32 epochBlockInterval;
    uint32 misdemeanorThreshold;
    uint32 felonyThreshold;
    uint32 validatorJailEpochLength;
    uint32 undelegatePeriod;
}
```
````

{% endcode %}

### BSC compatibility

Chiliz Chain is compatible with BSC and Parlia consensus. In an EVM executor, the only new additions are the hooks for checking ACL policies, which are about 40 lines of code.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/learn/glossary/governance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
